%global _empty_manifest_terminate_build 0
Name:		python-ptf
Version:	0.10.0
Release:	1
Summary:	The P4 Testing Framework
License:	Apache-2.0
URL:		https://github.com/p4lang/ptf
Source0:	https://files.pythonhosted.org/packages/6e/fc/33fab02c0e8836f570fdc62796173a9f9017cb35da740037be71e9ed1af8/ptf-0.10.0.tar.gz
BuildArch:	noarch


%description
# Introduction
PTF is a Python based dataplane test framework. It is based on unittest, which
is included in the standard Python distribution.
This document is meant to provide an introduction to the framework, discuss the
basics of running tests and to provide examples of how to add tests.
Most of the code was taken from the [OFTest
framework](https://github.com/floodlight/oftest). However, PTF focuses on the
dataplane and is independent of OpenFlow. We also added several

%package -n python3-ptf
Summary:	The P4 Testing Framework
Provides:	python-ptf
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
%description -n python3-ptf
# Introduction
PTF is a Python based dataplane test framework. It is based on unittest, which
is included in the standard Python distribution.
This document is meant to provide an introduction to the framework, discuss the
basics of running tests and to provide examples of how to add tests.
Most of the code was taken from the [OFTest
framework](https://github.com/floodlight/oftest). However, PTF focuses on the
dataplane and is independent of OpenFlow. We also added several

%package help
Summary:	Development documents and examples for ptf
Provides:	python3-ptf-doc
%description help
# Introduction
PTF is a Python based dataplane test framework. It is based on unittest, which
is included in the standard Python distribution.
This document is meant to provide an introduction to the framework, discuss the
basics of running tests and to provide examples of how to add tests.
Most of the code was taken from the [OFTest
framework](https://github.com/floodlight/oftest). However, PTF focuses on the
dataplane and is independent of OpenFlow. We also added several

%prep
%autosetup -n ptf-0.10.0

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch filelist.lst
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "\"/%h/%f\"\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "\"/%h/%f\"\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "\"/%h/%f\"\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "\"/%h/%f.gz\"\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ptf -f filelist.lst
%{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 18 2024 Python_Bot <Python_Bot@openeuler.org> - 0.10.0-1
- Package Spec generated
